Passer au contenu principal
POST
/
communication-preferences
/
2026-03
/
links
/
generate
Generate subscription links
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/2026-03/links/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriberIdString": "<string>",
  "language": "<string>",
  "subscriptionId": 123
}
'
{
  "managePreferencesUrl": "<string>",
  "subscriberIdString": "<string>",
  "unsubscribeAllUrl": "<string>",
  "unsubscribeSingleUrl": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

channel
enum<string>
requis
Options disponibles:
EMAIL
businessUnitId
integer<int64>
défaut:0

Corps

application/json
subscriberIdString
string
requis

A string representing the unique identifier of the subscriber. This property is required.

language
string

The language in which the generated link should be presented, represented as a string.

subscriptionId
integer<int64>

The unique identifier for the subscription, represented as an integer in int64 format.

Réponse

successful operation

managePreferencesUrl
string
requis

The URL where the subscriber can manage their communication preferences.

subscriberIdString
string
requis

A string representing the unique identifier of the subscriber.

unsubscribeAllUrl
string
requis

A string containing the URL for unsubscribing the subscriber from all communications.

unsubscribeSingleUrl
string

A string containing the URL to unsubscribe the subscriber from a single communication.

Last modified on April 2, 2026